VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form frmOptions 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "D++ Options"
   ClientHeight    =   5565
   ClientLeft      =   5490
   ClientTop       =   3600
   ClientWidth     =   4710
   Icon            =   "frmOptions.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5565
   ScaleWidth      =   4710
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   120
      Top             =   5040
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Frame Frame1 
      Caption         =   "Default Save/Open Location"
      Height          =   660
      Left            =   120
      TabIndex        =   11
      Top             =   3600
      Width           =   4455
      Begin VB.CommandButton cmdBrowse 
         Caption         =   "..."
         Height          =   255
         Left            =   4080
         TabIndex        =   13
         Top             =   240
         Width           =   255
      End
      Begin VB.TextBox txtPath 
         Height          =   285
         Left            =   120
         TabIndex        =   12
         Top             =   240
         Width           =   3855
      End
   End
   Begin VB.CheckBox chkEncrypt 
      Caption         =   "Encrypt EXE"
      Height          =   195
      Left            =   120
      TabIndex        =   7
      Top             =   4440
      Width           =   1215
   End
   Begin VB.CheckBox chkDecompile 
      Caption         =   "Prevent Decompile"
      Height          =   195
      Left            =   120
      TabIndex        =   6
      Top             =   4680
      Width           =   1695
   End
   Begin VB.Frame Frame3 
      Caption         =   "Default Run Location"
      Height          =   2775
      Left            =   120
      TabIndex        =   3
      Top             =   720
      Width           =   4455
      Begin VB.DirListBox dirRun 
         Height          =   2115
         Left            =   120
         TabIndex        =   4
         ToolTipText     =   "Default location to put run file"
         Top             =   240
         Width           =   4215
      End
      Begin VB.Label lblLocation 
         AutoSize        =   -1  'True
         Caption         =   "Location"
         Height          =   195
         Left            =   120
         TabIndex        =   5
         Top             =   2440
         Width           =   615
      End
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   2280
      TabIndex        =   2
      Top             =   5040
      Width           =   1095
   End
   Begin VB.CommandButton cmdApply 
      Caption         =   "Apply"
      Enabled         =   0   'False
      Height          =   375
      Left            =   3480
      TabIndex        =   1
      Top             =   5040
      Width           =   1095
   End
   Begin VB.CommandButton cmdOk 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   1080
      TabIndex        =   0
      Top             =   5040
      Width           =   1095
   End
   Begin VB.Label lblInfo 
      Caption         =   "Note: These options are global to your system, and will affect D++ IDE, if it is installed on this system."
      Height          =   495
      Left            =   120
      TabIndex        =   10
      Top             =   120
      Width           =   4455
   End
   Begin VB.Label lblEncrypt 
      AutoSize        =   -1  'True
      Caption         =   "Info?"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   2520
      TabIndex        =   9
      ToolTipText     =   "What's EXE Encrypting?"
      Top             =   4440
      Width           =   450
   End
   Begin VB.Label lblDecompile 
      AutoSize        =   -1  'True
      Caption         =   "Info?"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   2520
      TabIndex        =   8
      ToolTipText     =   "What's EXE Encrypting?"
      Top             =   4680
      Width           =   450
   End
End
Attribute VB_Name = "frmOptions"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim loaded As Boolean

Private Sub chkDecompile_Click()
If loaded = False Then Exit Sub
cmdApply.Enabled = True
End Sub

Private Sub chkEncrypt_Click()
If loaded = False Then Exit Sub
cmdApply.Enabled = True
End Sub

Private Sub cmdApply_Click()
cmdApply.Enabled = False
ApplySettings
End Sub

Private Sub cmdBrowse_Click()
    On Local Error Resume Next
    sTempDir = CurDir
    CommonDialog1.DialogTitle = "Select a Directory"
    CommonDialog1.InitDir = txtPath.Text
    CommonDialog1.fileName = "Select a Directory"
    CommonDialog1.Flags = cdlOFNNoValidate + cdlOFNHideReadOnly
    CommonDialog1.Filter = "Folders|*.~#!"
    CommonDialog1.CancelError = True
    CommonDialog1.ShowSave

    If Err <> 32755 Then _
        txtPath.Text = CurDir
End Sub

Private Sub cmdCancel_Click()
Unload Me
End Sub

Private Sub cmdOk_Click()
ApplySettings
Unload Me
End Sub

Private Sub dirRun_Change()
lblLocation.Caption = dirRun.Path
If Not loaded Then Exit Sub
cmdApply.Enabled = True
End Sub

Private Sub Form_Load()
GetSettings
End Sub

Sub ApplySettings()
On Error Resume Next

If chkEncrypt.Value = 1 Then SaveSetting "D++", "Options", "Encrypt", "DPP:$D2>:"
If chkEncrypt.Value = 0 Then SaveSetting "D++", "Options", "Encrypt", "DPP:"

If chkDecompile.Value = 1 Then SaveSetting "D++", "Options", "Decompile", "-1"
If chkDecompile.Value = 0 Then SaveSetting "D++", "Options", "Decompile", "0"

SaveSetting "D++", "Options", "RunAt", dirRun.Path
SaveSetting "D++", "Options", "WorkPath", txtPath.Text
End Sub

Sub GetSettings()
On Error Resume Next
loaded = False

If GetSetting("D++", "Options", "Encrypt") = "DPP:$D2>:" Then chkEncrypt.Value = 1
If GetSetting("D++", "Options", "Encrypt") = "DPP:" Then chkEncrypt.Value = 0

If GetSetting("D++", "Options", "Debugging") = "0" Then chkDebug.Value = 1
If GetSetting("D++", "Options", "Debugging") = "-1" Then chkDebug.Value = 0

If GetSetting("D++", "Options", "Decompile") = "-1" Then chkDecompile.Value = 1
If GetSetting("D++", "Options", "Decompile") = "0" Then chkDecompile.Value = 0

dirRun.Path = GetSetting("D++", "Options", "RunAt")
txtPath.Text = GetSetting("D++", "Options", "WorkPath")
If txtPath.Text = "" Then txtPath.Text = AppPath

loaded = True
End Sub

Private Sub lblDecompile_Click()
MsgBox "Information on Preventing Decompile:" & vbCrLf & vbCrLf & "D++ IDE has the ability to open an EXE and read the source, or decompile.  When you compile your application, the IDE can easily reopen this.  By preventing decompiling, the IDE will not be able to open your application, leaving your source code secure.  Not recommended.", , "Prevent Decompile"
End Sub

Private Sub lblEncrypt_Click()
MsgBox "Information on EXE Encrypting:" & vbCrLf & vbCrLf & "Encrypting your application is a security option.  The source code is encrypted with a quick algorithm before the application is compiled.  This way, no external programs outside the IDE, such as Notepad, will be able to view your source, keeping it secure. Recommended.", , "EXE Encrypting"
End Sub

